package cn.com.taiji.tile.handler;

import cn.com.taiji.common.model.Result;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

/**
 * @author zzyx 2024/2/4
 */
@RestControllerAdvice
public class MyExceptionHandler {

    @ExceptionHandler(value = Exception.class)
    public Result<?> handleException(Exception exception){
        return Result.error(500,exception.getMessage());
    }
}
